package jp.sourceforge.cfneo.at4ie.api.impl.ie.invoker;

import jp.sourceforge.cfneo.at4ie.api.AT4IEAssertException;
import jp.sourceforge.cfneo.at4ie.api.Context;
import jp.sourceforge.cfneo.at4ie.api.Invoker;
import jp.sourceforge.cfneo.at4ie.api.TargetBrowser;
import jp.sourceforge.cfneo.at4ie.api.TestCase;

import org.apache.log4j.Logger;

/**
 * command=screenshotのInvoker。<br />
 * 現在のブラウザをスクリーンショットしてPNGファイルとして保存する。<br />
 * Seleniumの仕様外のコマンド。
 * @author imaitakafumi
 *
 */
public class AT4IEScreenshotInvoker extends Invoker {

	Logger logger = Logger.getLogger(OpenInvoker.class);

	/**
	 * コンストラクタ。
	 * @param context
	 * @param browser
	 */
	public AT4IEScreenshotInvoker(Context context, TargetBrowser browser) {
		super(context, browser);
	}

	@Override
	public void invoke(TestCase testCase) throws AT4IEAssertException {
		logger.debug("IEScreenshotInvoker#invoke");
		this.getBrowser().saveScreenShot(testCase.getTarget());
	}

}
